aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar Jan Tattermusch <jtattermusch@users.noreply.github.com>2018-10-19 12:12:22 +0200
committerGravatar GitHub <noreply@github.com>2018-10-19 12:12:22 +0200
commit20c848e88d3356195fa70dbb4fe1afee271b735a (patch)
treed75ab0fdfaea102a120e9acfe14b48e86f8d5cb4
parentda09b1fd083a80e3ebca927eb5ff6bc2cfe23cb5 (diff)
parent8c08e6af53664d2ceb5aff40546092492ee21112 (diff)
Merge pull request #16927 from jtattermusch/perf_benchmarks_improvements
A few perf e2e benchmark improvements
-rwxr-xr-xtools/gce/create_linux_kokoro_performance_worker_from_image.sh38
-rwxr-xr-xtools/internal_ci/linux/grpc_e2e_performance_singlevm.sh1
2 files changed, 39 insertions, 0 deletions
diff --git a/tools/gce/create_linux_kokoro_performance_worker_from_image.sh b/tools/gce/create_linux_kokoro_performance_worker_from_image.sh
new file mode 100755
index 0000000000..0f7939be4c
--- /dev/null
+++ b/tools/gce/create_linux_kokoro_performance_worker_from_image.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+# Copyright 2018 The gRPC Authors
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Creates a performance worker on GCE from an image that's used for kokoro
+# perf workers.
+
+set -ex
+
+cd "$(dirname "$0")"
+
+CLOUD_PROJECT=grpc-testing
+ZONE=us-central1-b # this zone allows 32core machines
+LATEST_PERF_WORKER_IMAGE=grpc-performance-kokoro-v2 # update if newer image exists
+
+INSTANCE_NAME="${1:-grpc-kokoro-performance-server}"
+MACHINE_TYPE="${2:-n1-standard-32}"
+
+gcloud compute instances create "$INSTANCE_NAME" \
+ --project="$CLOUD_PROJECT" \
+ --zone "$ZONE" \
+ --machine-type "$MACHINE_TYPE" \
+ --image-project "$CLOUD_PROJECT" \
+ --image "$LATEST_PERF_WORKER_IMAGE" \
+ --boot-disk-size 300 \
+ --scopes https://www.googleapis.com/auth/bigquery \
+ --tags=allow-ssh
diff --git a/tools/internal_ci/linux/grpc_e2e_performance_singlevm.sh b/tools/internal_ci/linux/grpc_e2e_performance_singlevm.sh
index 86d669be33..3c9798d375 100755
--- a/tools/internal_ci/linux/grpc_e2e_performance_singlevm.sh
+++ b/tools/internal_ci/linux/grpc_e2e_performance_singlevm.sh
@@ -25,4 +25,5 @@ tools/run_tests/run_performance_tests.py \
--netperf \
--category smoketest \
-u kbuilder \
+ --bq_result_table performance_test.performance_experiment_singlevm \
--xml_report reports/singlemachine/sponge_log.xml